com.aliyun.player

## Enum VidPlayerConfigGen.EncryptType

- java.lang.Object
- - java.lang.Enum<VidPlayerConfigGen.EncryptType>
  - - com.aliyun.player.VidPlayerConfigGen.EncryptType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VidPlayerConfigGen.EncryptType>
  Enclosing class:
    VidPlayerConfigGen

      public static enum VidPlayerConfigGen.EncryptType
      extends java.lang.Enum<VidPlayerConfigGen.EncryptType>

  Encryption types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AliyunVodEncryption` Alibaba Cloud ApsaraVideo for VOD encryption.
    `HLSEncryption` Standard encryption.
    `Unencrypted` Do not encrypt.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VidPlayerConfigGen.EncryptType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VidPlayerConfigGen.EncryptType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unencrypted

          public static final VidPlayerConfigGen.EncryptType Unencrypted

      Do not encrypt.

    - #### AliyunVodEncryption

          public static final VidPlayerConfigGen.EncryptType AliyunVodEncryption

      Alibaba Cloud ApsaraVideo for VOD encryption.

    - #### HLSEncryption

          public static final VidPlayerConfigGen.EncryptType HLSEncryption

      Standard encryption.

  - ### Method Detail

    - #### values

          public static VidPlayerConfigGen.EncryptType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VidPlayerConfigGen.EncryptType c : VidPlayerConfigGen.EncryptType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VidPlayerConfigGen.EncryptType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null